Sondea la recuperación de un agente
curl --request POST \
--url https://api.wondeya.com/v1/agents/{agentId}/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"topics": [
"<array>"
],
"limit": 10.5
}
'import requests
url = "https://api.wondeya.com/v1/agents/{agentId}/query"
payload = {
"query": "<string>",
"topics": ["<array>"],
"limit": 10.5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>', topics: ['<array>'], limit: 10.5})
};
fetch('https://api.wondeya.com/v1/agents/{agentId}/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.wondeya.com/v1/agents/{agentId}/query",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'query' => '<string>',
'topics' => [
'<array>'
],
'limit' => 10.5
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.wondeya.com/v1/agents/{agentId}/query"
payload := strings.NewReader("{\n \"query\": \"<string>\",\n \"topics\": [\n \"<array>\"\n ],\n \"limit\": 10.5\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.wondeya.com/v1/agents/{agentId}/query")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"query\": \"<string>\",\n \"topics\": [\n \"<array>\"\n ],\n \"limit\": 10.5\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.wondeya.com/v1/agents/{agentId}/query")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"query\": \"<string>\",\n \"topics\": [\n \"<array>\"\n ],\n \"limit\": 10.5\n}"
response = http.request(request)
puts response.read_body{
"passages": [
{
"chunkId": "<string>",
"sourceId": "<string>",
"sourceKind": "upload",
"docTitle": "<string>",
"sectionPath": [
"<string>"
],
"text": "<string>",
"lang": "es",
"topics": [
"<string>"
],
"page": 123,
"sourceUrl": "<string>",
"score": 123
}
],
"strategies": {
"topics": 123,
"vector": 123
}
}Agents
Sondea la recuperación de un agente
Ejecuta la MISMA recuperación híbrida que ejecuta una conversación real (el mapa determinista de temas más la búsqueda vectorial, fusionados) y devuelve los pasajes que el agente habría tenido, SIN llamar al modelo. Resultados vacíos significan que el agente todavía no puede responder esa pregunta.
POST
/
v1
/
agents
/
{agentId}
/
query
Sondea la recuperación de un agente
curl --request POST \
--url https://api.wondeya.com/v1/agents/{agentId}/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"topics": [
"<array>"
],
"limit": 10.5
}
'import requests
url = "https://api.wondeya.com/v1/agents/{agentId}/query"
payload = {
"query": "<string>",
"topics": ["<array>"],
"limit": 10.5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>', topics: ['<array>'], limit: 10.5})
};
fetch('https://api.wondeya.com/v1/agents/{agentId}/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.wondeya.com/v1/agents/{agentId}/query",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'query' => '<string>',
'topics' => [
'<array>'
],
'limit' => 10.5
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.wondeya.com/v1/agents/{agentId}/query"
payload := strings.NewReader("{\n \"query\": \"<string>\",\n \"topics\": [\n \"<array>\"\n ],\n \"limit\": 10.5\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.wondeya.com/v1/agents/{agentId}/query")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"query\": \"<string>\",\n \"topics\": [\n \"<array>\"\n ],\n \"limit\": 10.5\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.wondeya.com/v1/agents/{agentId}/query")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"query\": \"<string>\",\n \"topics\": [\n \"<array>\"\n ],\n \"limit\": 10.5\n}"
response = http.request(request)
puts response.read_body{
"passages": [
{
"chunkId": "<string>",
"sourceId": "<string>",
"sourceKind": "upload",
"docTitle": "<string>",
"sectionPath": [
"<string>"
],
"text": "<string>",
"lang": "es",
"topics": [
"<string>"
],
"page": 123,
"sourceUrl": "<string>",
"score": 123
}
],
"strategies": {
"topics": 123,
"vector": 123
}
}Autorizaciones
Una clave de API del espacio de trabajo: wdy_live_… / wdy_test_…. Se crea en POST /workspaces/{tenantId}/keys y se muestra exactamente una vez.
Parámetros de ruta
Cuerpo
application/json
La pregunta, formulada como la haría un visitante.
Required string length:
1 - 500Los temas que el clasificador habría elegido. Vacío prueba solo la mitad vectorial.
Maximum array length:
12Opciones disponibles:
es, en Cuántos pasajes devolver.
Rango requerido:
1 <= x <= 20